package org.dive4elements.river.artifacts.model;


public class StaticMorphoWidthCacheKey
{
   public static final String CACHE_NAME = "morpho-width-table-static";

    private int width_id;

    public StaticMorphoWidthCacheKey(
        int width_id
    ) {
        this.width_id = width_id;
    }

    @Override
    public int hashCode() {
        return (String.valueOf(width_id)).hashCode();
    }

    @Override
    public boolean equals(Object other) {
        if (!(other instanceof StaticMorphoWidthCacheKey)) {
            return false;
        }
        StaticMorphoWidthCacheKey o = (StaticMorphoWidthCacheKey) other;
        return this.width_id == o.width_id;
    }
}
